Package es.imim.DISGENET.search

# Class AutoSuggestor

java.lang.Object
es.imim.DISGENET.search.AutoSuggestor

public class AutoSuggestor extends Object

## Constructor Summary

Constructors
Constructor
Description
`AutoSuggestor(JTextField textField, Window mainWindow, ArrayList<String> words, Color popUpBackground, Color textColor, Color suggestionFocusedColor, float opacity)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addToDictionary(String word)`
`protected void`
`addWordToSuggestions(String word)`
`ArrayList<es.imim.DISGENET.search.SuggestionLabel>`
`getAddedSuggestionLabels()`
`JWindow`
`getAutoSuggestionPopUpWindow()`
`Window`
`getContainer()`
`String`
`getCurrentlyTypedWord()`
`JTextField`
`getTextField()`
`void`
`setDictionary(ArrayList<String> words)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AutoSuggestor

public AutoSuggestor(JTextField textField, Window mainWindow, ArrayList<String> words, Color popUpBackground, Color textColor, Color suggestionFocusedColor, float opacity)

## Method Details

### getAddedSuggestionLabels

public ArrayList<es.imim.DISGENET.search.SuggestionLabel> getAddedSuggestionLabels()

### addWordToSuggestions

protected void addWordToSuggestions(String word)

### getCurrentlyTypedWord

public String getCurrentlyTypedWord()

### getAutoSuggestionPopUpWindow

public JWindow getAutoSuggestionPopUpWindow()

### getContainer

public Window getContainer()

### getTextField

public JTextField getTextField()

### addToDictionary

public void addToDictionary(String word)

### setDictionary

public void setDictionary(ArrayList<String> words)